sequenceDiagram
autonumber
participant Merchant as Merchant
participant MBO as Merchant Backoffice <br/> (Browser)
participant epages6 as ePages6 <br/> (Cartridges)
participant Saferpay as Saferpay <br/> (JSON API)

Note over Merchant, epages6:Merchant is on MBO Payments: Saferpay (new) settings page <br> UI::PaymentMethodSaferpay2::ViewSettings
Merchant->>+MBO: Click "Save"
MBO->>+epages6: Save merchant credentials
epages6->>+Saferpay: Get transaction status<br/>API::SaferpayService::doAssertCall<br/>POST "Payment/v1/PaymentPage/Assert" <br/> authorization_basic MerchantName, MerchantPassword <br /> Token: "ValidateCredentialsInvalidToken" 
Saferpay->>-epages6: No auth error. HTTP/1.1 402 Action Failed "ErrorName":"TRANSACTION_NOT_FOUND"
epages6->>+MBO: Connection successful. Settings saved.
MBO->>Merchant: Settings saved. No error message.