sequenceDiagram
autonumber
participant Merchant as Merchant
participant MBO as Merchant Backoffice <br/> (Browser)
participant epages6 as ePages6 <br/> (Cartridges)
participant Saferpay as Saferpay <br/> (JSON API)

Note over Merchant, epages6:Merchant is on MBO Transactions > Saferpay (new) transactions page 
Merchant->>+MBO: Select one Saferpay transaction and click "Capture" button
MBO->>+epages6: Capture saferpay transaction <br/>(ChangeAction: CaptureTransactions, TransID)
epages6->>+Saferpay: API::SaferpayService::CaptureTransaction <br/>POST "/Payment/v1/Transaction/Capture" <br/> { TransactionId: TransID }
Saferpay->>-epages6: Transaction Status: CAPTURED
epages6->>+MBO: Transaction captured.
Note over Merchant, epages6:Transation status is shown in the transaction list.