# Cartridge DE_EPAGES:: Saferpay2

## PURPOSE

Integration of payment method [Saferpay (new)](https://epages.atlassian.net/wiki/spaces/RND/pages/1882325005/Saferpay+new) using Saferpay JSON API.

## Content

1. [Onboarding](#merchant-onboarding)
2. [Checkout](#shopper-checkout)
3. [Capture](#merchant-capture)


## Merchant onboarding

![Merchant onboarding](Documents/saferpay-onboarding.svg)

Code for the diagram (you can generate it [here](https://mermaidjs.github.io/mermaid-live-editor)):
[Documents/saferpay-onboarding.md](Documents/saferpay-onboarding.md)

## Shopper checkout

![Shopper checkout](Documents/saferpay-checkout.svg)

Code for the diagram (you can generate it [here](https://mermaidjs.github.io/mermaid-live-editor)):
[Documents/saferpay-checkout.md](Documents/saferpay-checkout.md)

## Merchant capture

![Merchant capture](Documents/saferpay-capture.svg)

Code for the diagram (you can generate it [here](https://mermaidjs.github.io/mermaid-live-editor)):
[Documents/saferpay-capture.md](Documents/saferpay-capture.md)
