# Cartridge DE_EPAGES::Spreedly

## PURPOSE
Integration of payment method [Spreedly](https://epages.atlassian.net/wiki/display/RND/Spreedly) 


## Content

1. [Onboarding](#merchant-onboarding)
2. [Checkout](#shopper-checkout)


## Merchant onboarding

![Merchant onboarding](Documents/spreedly-onboarding.svg)

Code for the diagram (you can generate it [here](https://mermaidjs.github.io/mermaid-live-editor)):
[Documents/spreedly-onboarding.md](Documents/spreedly-onboarding.md)


## Shopper checkout

![Shopper checkout](Documents/spreedly-checkout.svg)

Code for the diagram (you can generate it [here](https://mermaidjs.github.io/mermaid-live-editor)):
[Documents/spreedly-checkout.md](Documents/spreedly-checkout.md)

